# ChangeLog for sys-devel/automake
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-devel/automake/ChangeLog,v 1.80 2006/03/30 13:41:44 flameeyes Exp $

  30 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> automake-1.4_p6.ebuild,
  automake-1.5.ebuild, automake-1.6.3.ebuild, automake-1.7.9-r1.ebuild,
  automake-1.8.5-r3.ebuild, automake-1.9.6-r2.ebuild:
  Add ~x86-fbsd keywords.

*automake-1.9.6-r2 (24 Mar 2006)

  24 Mar 2006; Mike Frysinger <vapier@gentoo.org>
  +files/automake-1.9.6-ignore-comments.patch, +automake-1.9.6-r2.ebuild:
  Ignore m4 macros present in comments #126388 by Donnie Berkholz.

  23 Mar 2006; Donnie Berkholz <spyderous@gentoo.org>;
  automake-1.9.6-r1.ebuild:
  Remove blocker on app-text/dgs, added a dgs with workaround to the tree.

  02 Feb 2006; Mike Frysinger <vapier@gentoo.org>
  +files/automake-1.4-nls-nuisances.patch,
  files/automake-1.5-test-fixes.patch, automake-1.4_p6.ebuild,
  automake-1.5.ebuild:
  Fix building in EE locale #121151 by J.

*automake-1.9.6-r1 (29 Sep 2005)

  29 Sep 2005; Mike Frysinger <vapier@gentoo.org>
  +files/automake-1.9.6-include-dir-prefix.patch, +automake-1.9.6-r1.ebuild:
  Add patch to fix rules with subdirs #107435 by John Ratliff.

*automake-1.9.6 (11 Jul 2005)

  11 Jul 2005; Mike Frysinger <vapier@gentoo.org>
  +files/automake-1.9.6-infopage-namechange.patch, +automake-1.9.6.ebuild:
  Version bump.

*automake-1.9.5 (04 Mar 2005)

  04 Mar 2005; Mike Frysinger <vapier@gentoo.org> +automake-1.9.5.ebuild:
  Version bump.

  15 Feb 2005; Kito <kito@gentoo.org> automake-1.4_p6.ebuild,
  automake-1.5.ebuild, automake-1.6.3.ebuild, automake-1.7.9-r1.ebuild,
  automake-1.8.5-r3.ebuild, automake-1.9.4.ebuild:
  ~ppc-macos keyword

  06 Feb 2005; Joshua Kinard <kumba@gentoo.org> automake-1.4_p6.ebuild,
  automake-1.5.ebuild, automake-1.6.3.ebuild, automake-1.7.9-r1.ebuild,
  automake-1.8.5-r3.ebuild, automake-1.9.4.ebuild:
  Marked stable on mips.

  31 Jan 2005; Gustavo Zacarias <gustavoz@gentoo.org> automake-1.4_p6.ebuild,
  automake-1.5.ebuild, automake-1.6.3.ebuild, automake-1.7.9-r1.ebuild,
  automake-1.8.5-r3.ebuild, automake-1.9.4.ebuild:
  Stable on sparc

  31 Jan 2005; Bryan Østergaard <kloeri@gentoo.org> automake-1.4_p6.ebuild,
  automake-1.5.ebuild, automake-1.6.3.ebuild, automake-1.7.9-r1.ebuild,
  automake-1.8.5-r3.ebuild, automake-1.9.4.ebuild:
  Stable on alpha.

  30 Jan 2005; Mike Frysinger <vapier@gentoo.org>
  +files/automake-1.5-test-fixes.patch, automake-1.5.ebuild:
  Add patches from fedora to fix ccnoco/dirname tests #79505.  Also touch up 
  our slot patch to not append /usr/share/aclocal if --acdir is passed since 
  that's (1) wrong and (2) it breaks the aclocalii test.  Update the tail/head 
  syntax of the insthook test to fix incorrect failure.

  30 Jan 2005; Mike Frysinger <vapier@gentoo.org> automake-1.4_p6.ebuild:
  Add a few patches from fedora and dont run error.test since its known to fail
  and no one really cares to fix it in this old version #79529.

  30 Jan 2005; Michael Hanselmann <hansmi@gentoo.org>
  automake-1.4_p6.ebuild, automake-1.5.ebuild, automake-1.6.3.ebuild,
  automake-1.7.9-r1.ebuild, automake-1.8.5-r3.ebuild, automake-1.9.4.ebuild:
  Stable on ppc, bug 74011.

*automake-1.8.5-r3 (29 Jan 2005)

  29 Jan 2005; Markus Rothe <corsair@gentoo.org> automake-1.4_p6.ebuild,
  automake-1.5.ebuild, automake-1.6.3.ebuild, automake-1.7.9-r1.ebuild,
  automake-1.8.5-r3.ebuild, automake-1.9.4.ebuild:
  Stable on ppc64

*automake-1.9.4 (10 Jan 2005)

  10 Jan 2005; Mike Frysinger <vapier@gentoo.org> -automake-1.9.3.ebuild,
  +automake-1.9.4.ebuild:
  Version bump.

*automake-1.9.3 (14 Nov 2004)

  14 Nov 2004; Mike Frysinger <vapier@gentoo.org> +automake-1.9.3.ebuild:
  Version bump #58791.

*automake-1.7.9 (22 Oct 2004)

  22 Oct 2004; Mike Frysinger <vapier@gentoo.org>
  +files/automake-1.5-slot.patch, +automake-1.4_p6.ebuild,
  +automake-1.5.ebuild, +automake-1.6.3.ebuild, +automake-1.7.9.ebuild,
  +automake-1.8.5-r2.ebuild:
  New SLOT-ed automakes.

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  automake-1.7.7.ebuild:
  Masked automake-1.7.7.ebuild stable for ppc

  31 Aug 2004; Gustavo Zacarias <gustavoz@gentoo.org>
  automake-1.8.5-r1.ebuild:
  Stable on sparc

  26 Jun 2004; <solar@gentoo.org> automake-1.8.5-r1.ebuild:
  update automake-1.8.5-r1 with uclibc logic

*automake-1.8.5-r1 (16 Jun 2004)

  16 Jun 2004; Martin Schlemmer <azarah@gentoo.org>
  +files/am-wrapper.pl-1.8-v2, +automake-1.8.5-r1.ebuild:
  Update am-wrapper script to also use ac_version and am_version functions to
  check AC_PREREQ and AM_AUTOMAKE_VERSION (allows us to check strings beyond the
  first match).

*automake-1.8.5 (29 May 2004)

  29 May 2004; <solar@gentoo.org> automake-1.8.5.ebuild,
  files/automake-1.8.5-config-guess-uclibc.patch:
  Version bump. Added config.guess-uclibc.patch from Peter S. Mazinger

  26 Apr 2004; Michael McCabe <randy@gentoo.org> automake-1.8.3.ebuild:
  Stable on s390

  07 Apr 2004; Joshua Kinard <kumba@gentoo.org> automake-1.8.3.ebuild:
  Marked stable on mips.

  04 Apr 2004; Guy Martin <gmsoft@gentoo.org> automake-1.8.3.ebuild:
  Marked stable on hppa.

  02 Apr 2004; Jon Portnoy <avenj@gentoo.org> automake-1.8.3.ebuild :
  Stable on x86 for security fix.

  31 Mar 2004; Lars Weiler <pylon@gentoo.org> automake-1.8.3.ebuild:
  stable on ppc, as requested in bug #45646

  29 Mar 2004; Aron Griffis <agriffis@gentoo.org> automake-1.8.3.ebuild:
  Mark stable on alpha and ia64 for bug 45646

  26 Mar 2004; Jason Wever <weeve@gentoo.org> automake-1.8.3.ebuild:
  Marked stable on sparc wrt bug #45646.

  26 Mar 2004; Jon Portnoy <avenj@gentoo.org> automake-1.8.3.ebuild :
  Stable on AMD64.

*automake-1.8.3 (24 Mar 2004)

  24 Mar 2004; <solar@gentoo.org> automake-1.8.3.ebuild:
  Version bump. Insecure Temporary Directory Creation Symbolic Link
  Vulnerability. bug #45646

  23 Mar 2004; Jason Wever <weeve@gentoo.org> automake-1.8.2.ebuild:
  Stable on sparc.

  19 Feb 2004; <tuxus@gentoo.org> automake-1.7.7.ebuild:
  Marked stable on mips

*automake-1.8.2 (03 Feb 2004)

  03 Feb 2004; Martin Schlemmer <azarah@gentoo.org> automake-1.8.2.ebuild,
  files/am-wrapper.pl-1.8, files/automake-1.8.2-infopage-namechange.patch,
  files/automake-1.7.9-infopage-namechange.patch:
  Update version.  Also update 1.7 versions to 1.7.9.  I should really try to
  figure out if we can drop some versions, as it is starting to get a bit much.

  17 Jan 2004; Christian Birchinger <joker@gentoo.org> automake-1.7.7.ebuild:
  Added sparc stable keyword

  13 Dec 2003; Brad House <brad_mssw@gentoo.org> automake-1.7.8.ebuild:
  mark stable on amd64

  24 Nov 2003; Brad House <brad_mssw@gentoo.org> automake-1.7.7.ebuild:
  someone bumped up the coreutils deps, but
  didn't bump up all deps for different arches.  Please let me know if
  marking this stable on amd64 causes any problems.

  21 Nov 2003; Aron Griffis <agriffis@gentoo.org> automake-1.7.8.ebuild:
  Stable on ia64 and alpha in support of coreutils DEPEND

  20 Nov 2003; Bartosch Pixa <darkspecter@gentoo.org> automake-1.7.8.ebuild:
  set ppc in keywords

*automake-1.7.8 (26 Oct 2003)

  26 Oct 2003; Daniel Ahlberg <aliz@gentoo.org> automake-1.7.8.ebuild:
  Version bump

*automake-1.7.7 (28 Sep 2003)

  28 Sep 2003; Martin Schlemmer <azarah@gentoo.org> automake-1.7.7.ebuild,
  files/automake-1.7.7-infopage-namechange.patch:
  Update version.

  17 Sep 2003; Jon Portnoy <avenj@gentoo.org> automake-1.7.5-r2.ebuild :
  ia64 keywords.

  02 Sep 2003; Martin Holzer <mholzer@gentoo.org> automake-1.6.1-r6.ebuild,
  automake-1.6.3.ebuild, automake-1.7.2.ebuild, automake-1.7.5-r2.ebuild:
  Now uses mirror://gnu.

  02 Aug 2003; Martin Schlemmer <azarah@gentoo.org> automake-1.7.5-r2.ebuild:
  Mark stable.

*automake-1.7.5-r2 (02 Jul 2003)

  04 Jul 2003; Joshua Kinard <kumba@gentoo.org> :
  Fixed b0rked Manifest (yay)
  Removed stray digests

  02 Jul 2003; Daniel Ahlberg <aliz@gentoo.org> automake-1.7.5-r2.ebuild, automake-1.7.5-r1.ebuild, 
						automake-1.7.5.ebuild :
  Another versionbump to fix this new version. Also removed the faulty versions.  

*automake-1.7.5-r1 (01 Jul 2003)

  01 Jul 2003; Daniel Ahlberg <aliz@gentoo.org> automake-1.7.5-r1.ebuild :
  Force update.

  01 Jul 2003; Daniel Ahlberg <aliz@gentoo.org> automake-1.7.5.ebuild. :
  Do not run fix_bins for 1.4.

*automake-1.7.5 (30 Jun 2003)

  30 Jun 2003; Daniel Ahlberg <aliz@gentoo.org> automake-1.7.5.ebuild :
  Version bump.

  12 Jun 2003; <msterret@gentoo.org> automake-1.6.1-r6.ebuild:
  fix Header

  30 Mar 2003; Martin Schlemmer <azarah@gentoo.org> automake-1.7.2.ebuild :
  Mark stable.  It had extensive testing, and it sorda goes with latest
  autoconf, which was marked stable to fix bug #14663.

  09 Mar 2003; Martin Schlemmer <azarah@gentoo.org> files/am-wrapper.pl-1.7 :
  Some new stuff have AC_PREREQ in [].

  18 Feb 2003; Zach Welch <zwelch@gentoo.org> :
  Added arm to keywords.

  07 Feb 2003; Guy Martin <gmsoft@gentoo.org> automake-1.6.3.ebuild :
  Added hppa to keywords.

*automake-1.7.2 (21 Jan 2003)

  21 Jan 2003; Martin Schlemmer <azarah@gentoo.org> automake-1.7.2.ebuild :
  Update version.  Change WANT_AUTOMAKE_1_?=1 selection scheme to
  WANT_AUTOMAKE=<version>.

  14 Dec 2002; Martin Schlemmer <azarah@gentoo.org> automake-1.6.3.ebuild :
  Fix info pages to also get 1.5 and 1.6 in info DIR.

  12 Dec 2002; Jan Seidel <tuxus@gentoo.org> automake-1.6.3.ebuild :
  Added mips to keywords.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
  24 Nov 2002; Martin Schlemmer <azarah@gentoo.org> automake-1.6.3.ebuild :
  Mark stable for rest of archs.

  23 Nov 2002; Olivier Reisch <doctomoe@gentoo.org> automake-1.6.3.ebuild :
  Added ppc keyword. 1.6.3 will be needed for KDE 3.1

*automake-1.6.3 (20 Oct 2002)

  20 Oct 2002; Martin Schlemmer <azarah@gentoo.org> :
  Update version.

  23 Sep 2002; Martin Schlemmer <azarah@gentoo.org> am-wrapper.pl-1.6 :
  Firstly, 'am-wrapper.pl' is based on 'ac-wrapper.pl'.  This is a nifty
  script by Guillaume Cottenceau (gc@mandrakesoft.com).  This release
  adds updates for automake-1.6 detection.

*automake-1.6.1-r6 (28 Jun 2002)

  28 Jun 2002; Martin Schlemmer <azarah@gentoo.org> automake-1.6.1-r6.ebuild :
  Patch aclocal-1.4 to behave like 1.5 and 1.6, and not error our on duplicates.
  This should fix bug #4157 and others.

*automake-1.6.1-r5 (21 Jun 2002)

  21 Jun 2002; Martin Schlemmer <azarah@gentoo.org> automake-1.6.1-r5.ebuild :
  Resolve bug #3985.

*automake-1.6.1-r4 (22 May 2002)

  22 May 2002; M.Schlemmer <azarah@gentoo.org> automake-1.6.1-r4.ebuild :

  Remove duplicate macros in /usr/share/aclocal/ (old stale ones that is
  now in /usr/share/aclocal-1.4/.

*automake-1.6.1-r3 (22 May 2002)

  22 May 2002; M.Schlemmer <azarah@gentoo.org> automake-1.6.1-r3.ebuild :

  Create /usr/share/automake as symlink to /usr/share/automake-1.4, as
  some packages needs it.  Resolves bug #2903.

*automake-1.6.1-r2 (20 May 2002)

  20 May 2002; M.Schlemmer <azarah@gentoo.org> automake-1.6.1-r2.ebuild :

  Seems aclocal-1.6 already searched /usr/share/aclocal-1.6/ and
  /usr/share/aclocal/ by default, so no need to fix it like we have to
  for 1.5 and 1.4.

*automake-1.6.1-r1 (19 May 2002)

  19 May 2002; M.Schlemmer <azarah@gentoo.org> automake-1.6.1-r1.ebuild :

  Use automake-1.5 instead of automake-1.5d to try and fix KDE.

  Another big change, is that we now have all the macros (.m4 files) for
  each version of automake in their own private dirs, but then add
  /usr/share/aclocal/ to each version's aclocal's include path.  This
  makes it possible for each version to use custom macros added by
  other programs to /usr/share/aclocal/.

*automake-1.6.1 (19 May 2002)

  19 May 2002; M.Schlemmer <azarah@gentoo.org> automake-1.6.1.ebuild,
                                               am-wrapper.pl-1.6 :

  New version.  Thanks to Alexander Kelett for the initial version that
  contains all three major releases, and also am-wrapper.pl-1.6.

  Changes from his version:  1.5d has to have "-1.5d" as suffix, and
  not "-1.5", as this causes calls by aclocal to automake to fail,
  as they have multiversion support.  Also fixed some other problems
  that was part of my first dual version.  Added the sed to change
  the "-1.5x" in am-wrapper.pl-1.6 to "-1.5d".

  Anyway, should resolve bug 2803.

  22 April 2002; M.Schlemmer <azarah@gentoo.org> am-wrapper.pl :

  Update so that it can work with AC_PREREQ([2.13]) as well as AC_PREREQ(2.13).
	
*automake-1.5d-r2 (21 March 2002)

  7 April 2002; M.Schlemmer <azarah@gentoo.org> :

  Change the names of the 1.5x binaries to foo-${PV}, since they do support
  limited parallel versions, and foo-1.5x breaks recursion if they call
  themselfs.  Fixed doc paths.

*automake-1.6-r1 (21 March 2002)

  21 March 2002; M.Schlemmer <azarah@gentoo.org> :

  Create dual ebuild for automake-1.4x and automake-1.6x.  Have the
  same autodetection as autoconf-1.53, check am-wrapper.pl for details.

*automake-1.6 (21 March 2002)

*automake-1.4_p5 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
